%bcond_with tests
%global somajor 4

Summary:        Library for Reliable Internet Stream Transport (RIST) protocol
Name:           librist
Version:        0.2.7
Release:        3%{?dist}
License:        BSD-2-Clause and ISC
URL:            https://code.videolan.org/rist/librist
Source0:        %{url}/-/archive/v%{version}/librist-v%{version}.tar.gz
## https://code.videolan.org/rist/librist/-/commit/809390b3b75a259a704079d0fb4d8f1b5f7fa956
Patch0001:      0001-meson.build-fix-reference-to-libcjson-pc-file.patch

BuildRequires:  gcc meson ninja-build
BuildRequires:  libcmocka-devel mbedtls-devel
BuildRequires:  pkgconfig(libcjson)

%description
A library that can be used to easily add the RIST protocol to your application.
This code was written to comply with the Video Services Forum (VSF) Technical Recommendations
TR-06-1 and TR-06-2. The protocol goes by the codename "RIST".


%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The package contains libraries and header files and documents or developing with %{name}.


%package -n     rist-tools
Summary:        User tools for %{name}
Requires:       %{name} = %{version}-%{release}

%description -n rist-tools
This package contains the user tools for the RIST protocol library.


%prep
%autosetup -n %{name}-v%{version} -p1


%build
%meson
%meson_build


%install
%meson_install
chmod -x %{buildroot}%{_includedir}/%{name}/*.h
chmod -x docs/*

mkdir -p %{buildroot}%{_docdir}/%{name}
cp -av docs/* %{buildroot}%{_docdir}/%{name}


%if %{with tests}
%check
%meson_test
%endif


%files
%license COPYING
%doc README.md CONTRIBUTING.md
%{_libdir}/*.so.%{somajor}{,.*}

%files devel
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/%{name}/
%dir %{_docdir}/%{name}
%doc %{_docdir}/%{name}/VSF_TR-06-1.pdf
%doc %{_docdir}/%{name}/VSF_TR-06-2.pdf
%doc %{_docdir}/%{name}/librist_logo.png


%files -n rist-tools
%{_bindir}/rist*


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.2.7-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.2.7-2
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Apr 21 2023 rockerzhu <rockerzhu@tencent.com> - 0.2.7-1
- Initial build.
